@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,700);
@import url(https://fonts.googleapis.com/icon?family=Material+Icons);

.calendar {
  box-sizing: border-box !important;

  color: var(--text-color);
  position: relative;

  display: block;
  max-width: 500px;
  border: 1px solid var(--border-color);
  left: 50%;
  transform: translateX(-50%);

  .buttons {
    margin-top: 50px;
    text-align: center;
  }

  .area {
    font-weight: 300;
    font-size: 0.7em;
  }

  .header {
    text-transform: uppercase;
    font-weight: 700;
    font-size: 115%;
    padding: 1.5em 0;
    border-bottom: 1px solid var(--border-color);

    .icon {
      cursor: pointer;
      transition: .15s ease-out;

      font-family: 'Material Icons', serif;
      font-style: normal;
      display: inline-block;
      vertical-align: middle;
      line-height: 1;
      text-transform: none;
      letter-spacing: normal;
      word-wrap: normal;
      white-space: nowrap;
      direction: ltr;

      -webkit-font-smoothing: antialiased;
      text-rendering: optimizeLegibility;
      -moz-osx-font-smoothing: grayscale;
      font-feature-settings: 'liga';

      &:hover {
        transform: scale(1.75);
        transition: .25s ease-out;
        color: var(--main-color);
      }

      &:first-of-type {
        margin-left: 1em;
      }

      &:last-of-type {
        margin-right: 1em;

      }
    }
  }

  .days {
    text-transform: uppercase;
    font-weight: 400;
    color: var(--text-color-light);
    font-size: 70%;
    padding: .75em 0;
    border-bottom: 1px solid var(--border-color);
  }

  .body {
    .cell {
      box-sizing: border-box;
      display: flex;
      align-items: center;
      justify-content: center;

      position: relative;
      height: 3em;
      width: 3em;
      border-right: 1px solid var(--border-color);
      overflow: hidden;
      background: var(--neutral-color);
      transition: 0.25s ease-out;

      &:hover:not(.day-name):not(.selected) {
        background: $primary-color;
        cursor: pointer;
        transition: 0.5s ease-out;

        &:not(.cursor) {
          color: white;
        }
      }

      &:last-child {
        border-right: none;
      }

      &.day-name {
        font-weight: bold;
      }

      .number {
        width: 100%;
        height: 100%;
        font-size: 82.5%;
        font-weight: 700;
        display: flex;
        align-items: center;
        justify-content: center;
      }
    }


    .selected {
      background-color: $dark-primary-color;
      color: white;
    }

    .cursor {
      color: $red;
    }

    .row {
      border-bottom: 1px solid var(--border-color);
    }

    .disabled {
      color: var(--text-color-light);
      pointer-events: none;
    }

    .col {
      flex-grow: 0;
      flex-basis: calc(100% / 7);
      width: calc(100% / 7);
    }
  }
}